package main

import (
	"fmt"
	"vmsSdk"
)

func main() {
	//云呼叫中心语音通知客户端，设置接口相关信息
	launchClient := &vmsSdk.LaunchCallClient{}

	//必填字段

	//控制台上通过审核的模板的ID,需要您开通vms服务以后，在模板管理界面上传模板，通过审核后使用
	launchClient.TemplateId = "user.template.templateID"

	//对应用户模板中的变量，如果模板中没有变量，就不填。格式为：var1Name=value1&var2Name=value2
	launchClient.MessageVarStr = "var1Name=**&var2Name=**..."

	//被叫号码，座机需要加区号
	launchClient.CalledNum = "被叫号码"

	//用户在百度云官网账号的AK，登录百度云后，悬停右上角头像，出现的框中选择Access Key,即跳转到用户相关aksk页面
	launchClient.Ak = "user.ak"

	//用户在百度云官网账号的SK，登录百度云后，悬停右上角头像，出现的框中选择Access Key,即跳转到用户相关aksk页面
	launchClient.Sk = "user.sk"

	//选填字段

	//用户透传字段，将在响应中原样传回
	launchClient.UserDefineTag = "用户透传字段"

	//建议不要更改

	//语音通知播放次数
	launchClient.PlayTimes = 1

	//语音通知音量
	launchClient.VoiceVolume = 20

	if err, statusCode, status, respBody := launchClient.LaunchCallToVms(); err != nil {
		fmt.Printf("launchCallToVms meet some error: %s", err.Error())
	} else {
		fmt.Printf("http response http status code: %d\n", statusCode)
		fmt.Println("http response http status : " + status)
		fmt.Println("http response body: " + respBody)
	}
}
